### Method

# FwupdPlugin BiosSettings get_pending_reboot

since: 1.8.4

#### Declaration [src]

    gboolean
    fu_bios_settings_get_pending_reboot (
      FuBiosSettings* self,
      gboolean* result,
      GError** error
    )

#### Description [src]

Determines if the system will apply changes to attributes upon reboot.

Available since: 1.8.4

#### Parameters

`result`

  Type: `gboolean*`

  Whether a reboot is pending.

  The argument will be set by the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

No description available.